Benutzerhandbuch
Version 1.9 — Rev. 3

# Virtual-Host-Registrierung

Diese Seite listet alle definierten virtuellen Hosts auf. Von hier aus koennen Sie einen virtuellen Host hinzufuegen/loeschen oder Aenderungen an einem vorhandenen vornehmen. Bevor Sie einen virtuellen Host hinzufuegen, stellen Sie sicher, dass das Stammverzeichnis des virtuellen Hosts existiert.

### Name des Virtual Hosts

#### Beschreibung

Ein eindeutiger Name fuer einen Virtual Host. Es wird empfohlen, den Domainnamen des Virtual Hosts als Name des Virtual Hosts zu verwenden. Der Name des Virtual Hosts kann mit der Variablen $VH_NAME referenziert werden.

### Wurzelverzeichnis des Virtual Hosts

#### Beschreibung

Gibt das Wurzelverzeichnis des Virtual Hosts an. Hinweis: Dies ist NICHT das Dokumentenstammverzeichnis. Es wird empfohlen, alle Dateien, die zum Virtual Host gehoeren (wie Protokolldateien, html-Dateien, CGI-Skripte usw.) in diesem Verzeichnis abzulegen. Das Wurzelverzeichnis des Virtual Hosts kann mit der Variablen $VH_ROOT referenziert werden.

#### Syntax

Ein absoluter Pfad oder ein Pfad relativ zu $SERVER_ROOT.

#### Tipps

Performance Legen Sie unterschiedliche Virtual Hosts auf unterschiedlichen Festplatten ab.

### Konfigurationsdatei

#### Beschreibung

Der Dateiname und das Verzeichnis der Konfiguration fuer diesen Virtual Host. Die Konfigurationsdatei muss sich im Verzeichnis $SERVER_ROOT/conf/vhosts/ befinden.

#### Syntax

Dateiname, der ein absoluter Pfad oder ein Pfad relativ zu $SERVER_ROOT sein kann.

#### Tipps

Information $SERVER_ROOT/conf/vhosts/$VH_NAME/vhconf.conf wird empfohlen

### Maximale Keep-Alive-Anfragen

#### Beschreibung

Gibt die maximale Anzahl von Anfragen an, die ueber eine Keep-Alive-Verbindung (persistente Verbindung) bedient werden koennen. Verbindungen werden geschlossen, sobald diese Grenze erreicht ist. Sie koennen fuer jeden Virtual Host eine andere Grenze angeben. Diese Zahl darf die serverweite Grenze Max. Keep-Alive-Anfragen nicht ueberschreiten.

#### Syntax

Ganzzahl

#### Tipps

Performance Setzen Sie dies auf einen angemessen hohen Wert. Ein Wert von "1" oder weniger deaktiviert Keep-Alive-Verbindungen.

#### Siehe auch

Max. Keep-Alive-Anfragen

### Symbolischen Links folgen

#### Beschreibung

Gibt an, ob symbolischen Links in diesem Virtual Host gefolgt werden soll. Die Option IF OWNER MATCH folgt einem symbolischen Link nur dann, wenn er denselben Besitzer hat. Diese Einstellung ueberschreibt die serverweite Standardeinstellung.

#### Syntax

Aus Dropdown-Liste auswählen

#### Tipps

Performance Security Deaktivieren Sie diese Funktion fuer bessere Sicherheit. Aktivieren Sie sie fuer bessere Leistung.

### Skripte/ExtApps aktivieren

#### Beschreibung

Gibt an, ob Scripting (nicht statische Seiten) in diesem Virtual Host erlaubt ist. Wenn deaktiviert, sind CGI, FastCGI, LSAPI, Servlet-Engines und andere Skriptsprachen in diesem Virtual Host nicht erlaubt. Wenn Sie daher einen Skript-Handler verwenden moechten, muessen Sie ihn auch hier aktivieren.

#### Syntax

Aus Optionsfeldern auswählen

### Beschraenkt

#### Beschreibung

Gibt an, ob ueber diese Website auf Dateien ausserhalb des Wurzelverzeichnisses dieses Virtual Hosts ($VH_ROOT) zugegriffen werden kann. Wenn Yes gesetzt ist, kann nur auf Dateien unter $VH_ROOT zugegriffen werden, und der Zugriff auf symbolische Links oder Kontexte, die auf Dateien oder Verzeichnisse ausserhalb von $VH_ROOT zeigen, wird verweigert. Dies beschraenkt jedoch nicht die Erreichbarkeit von CGI-Skripten. Dies ist in Shared-Hosting-Umgebungen nuetzlich. Symbolischen Links folgen kann auf Yes gesetzt werden, damit Benutzer symbolische Links unter $VH_ROOT verwenden koennen, aber nichts ausserhalb von $VH_ROOT.

#### Syntax

Aus Optionsfeldern auswählen

#### Tipps

Security Aktivieren Sie dies in der Shared-Hosting-Umgebung.

### Set-UID-Modus externer Apps

#### Beschreibung

Gibt an, wie die Benutzer-ID fuer einen externen Anwendungsprozess gesetzt wird. Drei Optionen sind verfuegbar:

- Server UID: Setzt die Benutzer-/Gruppen-ID externer Anwendungsprozesse auf dieselbe Benutzer-/Gruppen-ID wie die des Servers.
- CGI File UID: Setzt die Benutzer-/Gruppen-ID externer CGI-Prozesse anhand der Benutzer-/Gruppen-ID der ausfuehrbaren Datei. Diese Option gilt nur fuer CGI, nicht fuer FastCGI oder LSPHP.
- Doc Root UID: Setzt die Benutzer-/Gruppen-ID externer Anwendungsprozesse anhand der Benutzer-/Gruppen-ID des Dokumentenstammverzeichnisses des aktuellen Virtual Hosts.

Standardwert: Server UID

#### Syntax

Aus Dropdown-Liste auswählen

#### Tipps

Security In Shared-Hosting-Umgebungen wird empfohlen, die Modi CGI File UID oder Doc Root UID zu verwenden, damit Dateien eines Virtual Hosts nicht von externen Anwendungsskripten eines anderen Virtual Hosts gelesen werden koennen.

### suEXEC-Benutzer

#### Beschreibung

Auf der aktuellen Kontextebene als dieser Benutzer ausfuehren. Wenn gesetzt, ueberschreibt dieser Wert die Einstellung ExtApp Set UID Mode auf Virtual-Host-Ebene.
Diese Konfiguration kann auf Ebene der externen Anwendung mit der Einstellung Run As User ueberschrieben werden.
Standardwert: Nicht gesetzt

#### Syntax

Gueltiger Benutzername oder uid.

### suEXEC-Gruppe

#### Beschreibung

Auf der aktuellen Kontextebene als diese Gruppe ausfuehren. Entweder suEXEC User auf Virtual-Host-Ebene oder Run As User auf Ebene der externen Anwendung muss gesetzt sein, damit suEXEC Group wirksam wird.
Diese Konfiguration kann auf Ebene der externen Anwendung mit der Einstellung Run As Group ueberschrieben werden.
Standardwert: Wert der Einstellung suExec User

#### Syntax

Gueltiger Gruppenname oder uid

### Statische Anfragen/Sekunde

#### Beschreibung

Gibt die maximale Anzahl von Anfragen an statische Inhalte an, die von einer einzelnen IP-Adresse in einer Sekunde verarbeitet werden können, unabhängig von der Anzahl der bestehenden Verbindungen.
Wenn dieses Limit erreicht wird, werden alle weiteren Anfragen bis zur nächsten Sekunde zurückgehalten. Anfragelimits für dynamisch erzeugte Inhalte sind unabhängig von diesem Limit. Clientbezogene Anfragelimits können auf Server- oder Virtual-Host-Ebene festgelegt werden. Einstellungen auf Virtual-Host-Ebene überschreiben Einstellungen auf Serverebene.

#### Syntax

Ganzzahl

#### Tipps

Security Vertrauenswürdige IPs oder Subnetze sind nicht betroffen.

#### Siehe auch

Dynamische Anfragen/Sekunde

### Dynamische Anfragen/Sekunde

#### Beschreibung

Gibt die maximale Anzahl von Anfragen an dynamisch erzeugte Inhalte an, die von einer einzelnen IP-Adresse pro Sekunde verarbeitet werden können, unabhängig von der Anzahl der bestehenden Verbindungen. Wenn dieses Limit erreicht wird, werden alle weiteren Anfragen an dynamische Inhalte bis zur nächsten Sekunde zurückgehalten.
Das Anfragelimit für statische Inhalte ist unabhängig von diesem Limit. Dieses clientbezogene Anfragelimit kann auf Server- oder Virtual-Host-Ebene festgelegt werden. Einstellungen auf Virtual-Host-Ebene überschreiben Einstellungen auf Serverebene.

#### Syntax

Ganzzahl

#### Tipps

Security Vertrauenswürdige IPs oder Subnetze werden durch dieses Limit nicht eingeschränkt.

#### Siehe auch

Statische Anfragen/Sekunde

### Ausgehende Bandbreite (Byte/s)

#### Beschreibung

Der maximal zulässige ausgehende Durchsatz zu einer einzelnen IP-Adresse, unabhängig von der Anzahl der bestehenden Verbindungen. Die tatsächliche Bandbreite kann aus Effizienzgründen etwas höher ausfallen als diese Einstellung. Bandbreite wird in 4KB-Einheiten zugewiesen. Setzen Sie den Wert auf 0, um Throttling zu deaktivieren. Clientbezogene Bandbreitenlimits (Byte/s) können auf Server- oder Virtual-Host-Ebene festgelegt werden; Einstellungen auf Virtual-Host-Ebene überschreiben Einstellungen auf Serverebene.

#### Syntax

Ganzzahl

#### Tipps

Performance Setzen Sie die Bandbreite für bessere Leistung in 8KB-Einheiten.
Security Vertrauenswürdige IPs oder Subnetze sind nicht betroffen.

#### Siehe auch

Eingehende Bandbreite (Byte/s)

### Eingehende Bandbreite (Byte/s)

#### Beschreibung

Der maximal zulässige eingehende Durchsatz von einer einzelnen IP-Adresse, unabhängig von der Anzahl der bestehenden Verbindungen. Die tatsächliche Bandbreite kann aus Effizienzgründen etwas höher ausfallen als diese Einstellung. Bandbreite wird in 1KB-Einheiten zugewiesen. Setzen Sie den Wert auf 0, um Throttling zu deaktivieren. Clientbezogene Bandbreitenlimits (Byte/s) können auf Server- oder Virtual-Host-Ebene festgelegt werden; Einstellungen auf Virtual-Host-Ebene überschreiben Einstellungen auf Serverebene.

#### Syntax

Ganzzahl

#### Tipps

Security Vertrauenswürdige IPs oder Subnetze sind nicht betroffen.

#### Siehe auch

Ausgehende Bandbreite (Byte/s)